Bug 1632868 - Review Request: python-ModulemdTranslationHelpers - Tools for working with translations of modulemd
Summary: Review Request: python-ModulemdTranslationHelpers - Tools for working with tr...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 17:49 UTC by Stephen Gallagher
Modified: 2018-10-10 22:45 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-10 22:45:42 UTC
psabata: fedora-review+


Attachments (Terms of Use)

Description Stephen Gallagher 2018-09-25 17:49:53 UTC
Spec URL: https://sgallagh.fedorapeople.org/packagereview/python-ModulemdTranslationHelpers/python-ModulemdTranslationHelpers.spec
SRPM URL: https://sgallagh.fedorapeople.org/packagereview/python-ModulemdTranslationHelpers/python-ModulemdTranslationHelpers-0.3-1.fc29.src.rpm
Description:
Provides a library and tools for dealing with translatable strings in modulemd
documents.

Fedora Account System Username: sgallagh


COPR Build: https://copr.fedorainfracloud.org/coprs/sgallagh/mmdzanata/build/802691/


Note: This is a rename of the python-mmdzanata package, since it has been rewritten upstream to be more generic and not rely upon Zanata.

Comment 1 Petr Šabata 2018-09-25 18:48:09 UTC
* Fedora.py, Utils.py and cli.py say they're part of modulemd-zanata.
  __init__.py is fine.
  Not going to block on this.

* The SPEC URL also points to modulemd-zanata.

* The Source URL returns HTTP 404.

* __init__.py includes a shebang.  It probably shouldn't.

* The package obsoletes python*-mmdzanata but doesn't provide it.
  Is that correct and desired?

Comment 2 Petr Šabata 2018-09-25 18:48:50 UTC
Also the changelog entry is older than the upstream project.

Comment 3 Stephen Gallagher 2018-09-25 18:50:24 UTC
(In reply to Petr Šabata from comment #1)
> * Fedora.py, Utils.py and cli.py say they're part of modulemd-zanata.
>   __init__.py is fine.
>   Not going to block on this.

I'll fix that upstream for the next release.

> 
> * The SPEC URL also points to modulemd-zanata.

Oops, yeah, that's a mistake.

> 
> * The Source URL returns HTTP 404.

Same problem.

> 
> * __init__.py includes a shebang.  It probably shouldn't.
> 

Hmm, I don't remember adding that.

> * The package obsoletes python*-mmdzanata but doesn't provide it.
>   Is that correct and desired?

Yes, it's not a drop-in replacement.

Fixes will come shortly.

Comment 5 Petr Šabata 2018-09-25 19:18:59 UTC
* Bogus date in %changelog, line 106; it's not Friday yet ;)

I'm going to approve this but fix that bit before pushing.

Comment 6 Gwyn Ciesla 2018-09-26 13:34:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ModulemdTranslationHelpers

Comment 7 Fedora Update System 2018-09-26 15:17:03 UTC
python-ModulemdTranslationHelpers-0.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb406b54fc

Comment 8 Fedora Update System 2018-09-26 15:17:09 UTC
python-ModulemdTranslationHelpers-0.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-48dc6606b9

Comment 9 Fedora Update System 2018-09-26 15:17:16 UTC
python-ModulemdTranslationHelpers-0.5-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4db20d042e

Comment 10 Fedora Update System 2018-09-27 16:42:21 UTC
python-ModulemdTranslationHelpers-0.5-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4db20d042e

Comment 11 Fedora Update System 2018-09-27 17:29:02 UTC
python-ModulemdTranslationHelpers-0.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-48dc6606b9

Comment 12 Fedora Update System 2018-09-27 18:42:10 UTC
python-ModulemdTranslationHelpers-0.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb406b54fc

Comment 13 Miro Hrončok 2018-09-30 15:07:09 UTC
This package requires a deprecated package (python2) and should not have been approved.

Please stop adding python2 cruft to the distribution while we are trying to get rid of it. Stephen, Petr you are both in FESCo and should be well aware of this :(

Comment 14 Stephen Gallagher 2018-09-30 15:11:10 UTC
It produces both py2 and py3 subpackages. I thought we were only disallowing py2-exclusive packages.

I can drop the py2 build if needed.

Comment 15 Miro Hrončok 2018-09-30 15:22:04 UTC
We are disallowing anything new that depends on python2.
We are removing py2 subpackages from packages that produce both py2 and py3 subpackages.
We are retiring py2 only packages.

> I can drop the py2 build if needed.

Please do.

Comment 16 Petr Šabata 2018-10-01 06:55:45 UTC
You're right, Miro, it totally slipped my mind during the review.  Apologies!

Comment 17 Miro Hrončok 2018-10-01 08:27:03 UTC
Thank You. Sorry if my tone was a bit unfriendly, but it feel very frustrating to monitor how the py2 packages go away (very very slowly) and suddenly see some fresh ones.

Comment 18 Fedora Update System 2018-10-01 14:08:04 UTC
python-ModulemdTranslationHelpers-0.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-48dc6606b9

Comment 19 Fedora Update System 2018-10-01 14:08:41 UTC
python-ModulemdTranslationHelpers-0.5-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb406b54fc

Comment 20 Fedora Update System 2018-10-01 14:08:58 UTC
python-ModulemdTranslationHelpers-0.5-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4db20d042e

Comment 21 Fedora Update System 2018-10-01 21:59:03 UTC
python-ModulemdTranslationHelpers-0.5-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4db20d042e

Comment 22 Fedora Update System 2018-10-02 15:49:37 UTC
python-ModulemdTranslationHelpers-0.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-48dc6606b9

Comment 23 Fedora Update System 2018-10-02 17:03:15 UTC
python-ModulemdTranslationHelpers-0.5-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb406b54fc

Comment 24 Fedora Update System 2018-10-10 22:45:42 UTC
python-ModulemdTranslationHelpers-0.5-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.